# Airgap NG

A slim version of Arch Linux intended to run on airgapped (always-offline)
systems. The builder runs in Docker using privileged mode.

## Building

Requirements:

* `docker`
* `make`

The default target is the `airgap` image, but a different one can be specified.

```sh
config="airgap"
make "out/archlinux-baseline-arch-${config}-x86_64.iso"
```

## Flashing

Assuming your block device is `/dev/sdb`:

```sh
pv < out/archlinux-baseline-arch-airgap-x86_64.iso | sudo dd of=/dev/sdb
```

Alternatively, if `pv` is not installed, the following can be run:

```sh
sudo dd if=out/archlinux-baseline-arch-airgap-x86_64.iso of=/dev/sdb
```
